Bug 493522 - [radeon test day] After updating to xorg-x11-drv-ati-6.12.1-1.fc11.x86_64, X is unable to start
Summary: [radeon test day] After updating to xorg-x11-drv-ati-6.12.1-1.fc11.x86_64, X ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-02 04:17 UTC by Stewart Adam
Modified: 2018-04-11 09:32 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-11-07 22:50:39 UTC


Attachments (Terms of Use)
Log when X crashes (includes traceback) (27.09 KB, text/plain)
2009-04-02 04:17 UTC, Stewart Adam
no flags Details

Description Stewart Adam 2009-04-02 04:17:50 UTC
Created attachment 337717 [details]
Log when X crashes (includes traceback)

Description of problem:
As part of the radeon test day, I created a USB key with the rawhide image installed on it, as well as a 100MB overlay. After installing xorg-x11-drv-ati-6.12.1-1.fc11.x86_64.rpm and rebooting, X no longer starts (see attachment).

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.1-1.fc11.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1. Update to xorg-x11-drv-ati-6.12.1-1.fc11.x86_64.rpm
2. Reboot
  
Actual results:
X crashes

Expected results:
X starts

Additional info:
Smolt profile: http://smolt.fedoraproject.org/show?uuid=pub_f2464a1c-0f51-4652-8830-fa985b02ac30

Comment 1 Bug Zapper 2009-06-09 13:03:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Matěj Cepl 2009-11-05 18:24:40 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Stewart Adam 2009-11-07 22:50:39 UTC
It's been working fine for a while now, closing...


Note You need to log in before you can comment on or make changes to this bug.